Bug 18402 - Add the Koha::Item->checkout method
Summary: Add the Koha::Item->checkout method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18401
Blocks: 18403
  Show dependency treegraph
 
Reported: 2017-04-07 21:15 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18402: Add the Koha::Item->checkout method (3.86 KB, patch)
2017-04-07 21:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18402: Add the Koha::Item->checkout method (3.83 KB, patch)
2017-04-10 21:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18402: Add the Koha::Item->checkout method (3.96 KB, patch)
2017-04-11 07:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18402: Add the Koha::Item->checkout method (4.07 KB, patch)
2017-04-25 20:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-04-07 21:15:55 UTC

    
Comment 1 Jonathan Druart 2017-04-07 21:21:21 UTC
Created attachment 61980 [details] [review]
Bug 18402: Add the Koha::Item->checkout method

Return the current checkout for a given item.
Note it may not exist.

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green
Comment 2 Marc Véron 2017-04-08 08:26:44 UTC
Wanted to test, can not apply
fatal: sha1 information is lacking or useless (Koha/Item.pm)
Comment 3 Jonathan Druart 2017-04-10 12:12:35 UTC
Indeed you needs bug 18401.
Comment 4 Marc Véron 2017-04-10 15:12:56 UTC
(In reply to Jonathan Druart from comment #3)
> Indeed you needs bug 18401.

Re-tested, made sure that 18401 was applied.

$ git bz apply 18402
Bug 18402 - Add the Koha::Item->checkout method

61980 - Bug 18402: Add the Koha::Item->checkout method

Apply? [(y)es, (n)o, (i)nteractive] y
Wende an: Bug 18402: Add the Koha::Item->checkout method
fatal: sha1 information is lacking or useless (Koha/Item.pm).
Dem Repository fehlen notwendige Blobs um auf einen 3-Wege-Merge zurückzufallen.
Kann nicht zu 3-Wege-Merge zurückfallen.
Comment 5 Jonathan Druart 2017-04-10 21:19:16 UTC
Created attachment 62009 [details] [review]
Bug 18402: Add the Koha::Item->checkout method

Return the current checkout for a given item.
Note it may not exist.

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green
Comment 6 Marc Véron 2017-04-11 07:18:21 UTC
Created attachment 62035 [details] [review]
Bug 18402: Add the Koha::Item->checkout method

Return the current checkout for a given item.
Note it may not exist.

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 7 Nick Clemens 2017-04-25 20:10:24 UTC
Created attachment 62701 [details] [review]
Bug 18402: Add the Koha::Item->checkout method

Return the current checkout for a given item.
Note it may not exist.

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2017-04-25 20:10:50 UTC
Cleared trivial conflict
Comment 9 Kyle M Hall 2017-04-28 13:01:58 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 10 Katrin Fischer 2017-05-13 12:32:41 UTC
This won't get ported back to 16.11.x as it is an enhancement.